-- +goose Up
CREATE TABLE article
(
    id            SERIAL PRIMARY KEY,
    url           TEXT      NOT NULL UNIQUE,
    title         TEXT      NOT NULL,
    image         TEXT      NOT NULL,
    text          TEXT      NOT NULL,
    preview_text  TEXT,
    meta_keywords TEXT,
    meta_desc     TEXT,
    publish_time  TIMESTAMP NOT NULL DEFAULT NOW(),
    is_active     BOOLEAN   NOT NULL
);

-- +goose Down
DROP TABLE article;
