-- +goose Up
CREATE TABLE article_tag
(
    article_id INT NOT NULL,
    tag_id     INT NOT NULL,
    CONSTRAINT fk_article_tag_article FOREIGN KEY (article_id) REFERENCES article (id),
    CONSTRAINT fk_article_tag_tag FOREIGN KEY (tag_id) REFERENCES tag (id)
);

CREATE UNIQUE INDEX idx_unique_article_tag ON article_tag (article_id, tag_id);
CREATE INDEX idx_article_tag_tag ON article_tag (tag_id);

-- +goose Down
DROP TABLE article_tag;
